org.apache.poi.xddf.usermodel.chart

## Class XDDFErrorBars

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFErrorBars

-     @Beta
      public class XDDFErrorBars
      extends java.lang.Object

  Since:
    POI 4.1.2

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XDDFErrorBars()`
    `protected` | `XDDFErrorBars(org.openxmlformats.schemas.drawingml.x2006.chart.CTErrBars bars)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorBarType` | `getErrorBarType()`
    `ErrorDirection` | `getErrorDirection()`
    `ErrorValueType` | `getErrorValueType()`
    `XDDFChartExtensionList` | `getExtensionList()`
    `XDDFNumericalDataSource<java.lang.Double>` | `getMinus()`
    `java.lang.Boolean` | `getNoEndCap()`
    `XDDFNumericalDataSource<java.lang.Double>` | `getPlus()`
    `XDDFShapeProperties` | `getShapeProperties()`
    `java.lang.Double` | `getValue()`
    `protected org.apache.xmlbeans.XmlObject` | `getXmlObject()`
    `void` | `setErrorBarType(ErrorBarType barType)`
    `void` | `setErrorDirection(ErrorDirection direction)`
    `void` | `setErrorValueType(ErrorValueType valueType)`
    `void` | `setExtensionList(XDDFChartExtensionList list)`
    `void` | `setMinus(XDDFNumericalDataSource<java.lang.Double> ds)`
    `void` | `setNoEndCap(java.lang.Boolean noEndCap)`
    `void` | `setPlus(XDDFNumericalDataSource<java.lang.Double> ds)`
    `void` | `setShapeProperties(XDDFShapeProperties properties)`
    `void` | `setValue(java.lang.Double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFErrorBars

          public XDDFErrorBars()

    - #### XDDFErrorBars

          @Internal
          protected XDDFErrorBars(org.openxmlformats.schemas.drawingml.x2006.chart.CTErrBars bars)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.apache.xmlbeans.XmlObject getXmlObject()

    - #### getExtensionList

          public XDDFChartExtensionList getExtensionList()

    - #### setExtensionList

          public void setExtensionList(XDDFChartExtensionList list)

    - #### getShapeProperties

          public XDDFShapeProperties getShapeProperties()

    - #### setShapeProperties

          public void setShapeProperties(XDDFShapeProperties properties)

    - #### getErrorBarType

          public ErrorBarType getErrorBarType()

    - #### setErrorBarType

          public void setErrorBarType(ErrorBarType barType)

    - #### getErrorValueType

          public ErrorValueType getErrorValueType()

    - #### setErrorValueType

          public void setErrorValueType(ErrorValueType valueType)

    - #### getErrorDirection

          public ErrorDirection getErrorDirection()

    - #### setErrorDirection

          public void setErrorDirection(ErrorDirection direction)

    - #### getNoEndCap

          public java.lang.Boolean getNoEndCap()

    - #### setNoEndCap

          public void setNoEndCap(java.lang.Boolean noEndCap)

    - #### getValue

          public java.lang.Double getValue()

    - #### setValue

          public void setValue(java.lang.Double value)

    - #### getMinus

          public XDDFNumericalDataSource<java.lang.Double> getMinus()

    - #### setMinus

          public void setMinus(XDDFNumericalDataSource<java.lang.Double> ds)

    - #### getPlus

          public XDDFNumericalDataSource<java.lang.Double> getPlus()

    - #### setPlus

          public void setPlus(XDDFNumericalDataSource<java.lang.Double> ds)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.